Skip to main content
PATCH
Update eval source (legacy)

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

eval_id
string
required
Minimum string length: 1

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
kind
enum<string>
required
Available options:
eval-source-patch
id
string
required
source
object
required
fields
object
required

Response

Updated eval source document

kind
enum<string>
required
Available options:
eval-source-document
id
string
required
name
string
required
targetKind
enum<string>
required

Deprecated: use target_kind.

Available options:
agent
target
string
required
source
object
required
dataset
object
required
metrics
object[]
required
repetitions
integer
required
tags
string[]
required
metadata
object
required
editableFields
enum<string>[]
required

Deprecated: use editable_fields.

Available options:
name,
description,
target,
dataset,
repetitions,
tags,
metadata,
metrics,
check
dynamicFields
enum<string>[]
required

Deprecated: use dynamic_fields.

Available options:
name,
description,
target,
dataset,
repetitions,
tags,
metadata,
metrics,
check
capabilities
enum<string>[]
required
Available options:
project.evals.read,
project.evals.write,
project.evals.run
target_kind
enum<string>
required

The same value as targetKind.

Available options:
agent
source_path
string
required

The same value as source.filePath.

export_name
string
required

The same value as source.exportName.

editable_fields
enum<string>[]
required

The same value as editableFields.

Available options:
name,
description,
target,
dataset,
repetitions,
tags,
metadata,
metrics,
check
dynamic_fields
enum<string>[]
required

The same value as dynamicFields.

Available options:
name,
description,
target,
dataset,
repetitions,
tags,
metadata,
metrics,
check
description
string
edit_mode
enum<string>

Editing mode of the eval. Returned with a source document, not in the list.

Available options:
structured,
source_only
source_only_reasons
string[]

Why the eval can only be edited as source. Returned with a source document, not in the list.